<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bts__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bts_char_value_t</compoundname>
    <includes local="no">cy_ble_bts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bts__char__value__t_1a35770f156e9591d784dfeef53e0362b5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_bts_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bts__char__value__t_1ad6105b7a5e7ef51ff0cb5cf7338cad28" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_ble_bts_char_index_t</type>
        <definition>cy_en_ble_bts_char_index_t cy_stc_ble_bts_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bts__char__value__t_1a8e96b2600a02e5d457f958abd48909a3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_bts_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" line="80" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BTS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="218">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="217">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="216">
        <label>cy_stc_ble_bts_char_value_t</label>
        <link refid="structcy__stc__ble__bts__char__value__t" />
        <childnode refid="217" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="218" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="81" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bts.h" line="77" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bts__char__value__t_1ad6105b7a5e7ef51ff0cb5cf7338cad28" virt="non-virtual"><scope>cy_stc_ble_bts_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bts__char__value__t_1a35770f156e9591d784dfeef53e0362b5" virt="non-virtual"><scope>cy_stc_ble_bts_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bts__char__value__t_1a8e96b2600a02e5d457f958abd48909a3" virt="non-virtual"><scope>cy_stc_ble_bts_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>